## l2tp-ipsec-vpn-daemon 0.9.6

=== Makefile ===
#
# $Id: Makefile 27 2011-08-16 00:57:22Z werner $
#
# File:   Makefile
# Author: Werner Jaeger
#
# Created on August 4, 2011, 3:17 PM
#
# Copyright 2011 Werner Jaeger.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# default configuration is release
DEFAULTCONF=Release

# Active Configuration
CONF ?= ${DEFAULTCONF}

# All Configurations
ALLCONFS=Debug Release 

# various directories
BUILDDIR = build/${CONF}
GENDIR = src/generated
DISTDIR = dist/${CONF}

# build
build: nbproject/qt-${CONF}.mk
	make -f nbproject/qt-${CONF}.mk ${DISTDIR}/L2tpIPsecVpnControlDaemon

# install
install: nbproject/qt-${CONF}.mk
	make -f nbproject/qt-${CONF}.mk install

# uninstall
uninstall: nbproject/qt-${CONF}.mk
	make -f nbproject/qt-${CONF}.mk uninstall

# clean
clean:
	rm -rf ${BUILDDIR}/*
	rm -rf ${GENDIR}/*
	rm -rf ${DISTDIR}/*
	rm -f nbproject/*.mk
	rm -f nbproject/*.bash
	rm -f *.mk

# clobber 
clobber:
	@for CONF in ${ALLCONFS}; \
	do \
	    make CONF=$${CONF} clean; \
	done

# help
help:
	@echo "This makefile supports the following configurations:"
	@echo "    ${ALLCONFS} (default = ${DEFAULTCONF})"
	@echo ""
	@echo "and the following targets:"
	@echo "    build  (default target)"
	@echo "    clean"
	@echo "    clobber"
	@echo "    install"
	@echo "    uninstall"
	@echo "    help"
	@echo ""
	@echo "Makefile Usage:"
	@echo "    make [CONF=<CONFIGURATION>] build"
	@echo "    make [CONF=<CONFIGURATION>] clean"
	@echo "    make clobber"
	@echo "    make [CONF=<CONFIGURATION>] [INSTALL_ROOT=<Base directory to install in>] install"
	@echo "    make [INSTALL_ROOT=<Base directory to uninstall from>] uninstall"
	@echo "    make help"
	@echo ""
	@echo "Target 'build' will build a specific configuration."
	@echo "Target 'clean' will remove all built files from a specific configuration."
	@echo "Target 'clobber' will remove all built files from all configurations"
	@echo "Target 'install' will install a specific configuration of the program"
	@echo "       in [INSTALL_ROOT]/usr/lib/l2tp-ipsec-vpn-daemon/"
	@echo "Target 'uninstall' will uninstall the program from [INSTALL_ROOT]/usr/lib/l2tp-ipsec-vpn-daemon/"
	@echo "Target 'help' prints this message"
	@echo ""

nbproject/qt-${CONF}.mk: nbproject/qt-${CONF}.pro
	qmake-qt4 -o qttmp-${CONF}.mk -after "OBJECTS_DIR=${BUILDDIR}" "DESTDIR=${DISTDIR}" nbproject/qt-${CONF}.pro
	mv -f qttmp-${CONF}.mk nbproject/qt-${CONF}.mk

=== debian/changelog ===
l2tp-ipsec-vpn-daemon (0.9.6-1) unstable; urgency=low

  * New upstream release
    - Makefile:
      o added clobber and uninstall target

  * debian/control: 
    - Changed architecture from any to linux-any (Closes: #639434)

 -- Werner Jaeger <werner_jaeger@web.de>  Sun, 28 Aug 2011 12:35:41 +0200

l2tp-ipsec-vpn-daemon (0.9.5-1) unstable; urgency=low

  * Initial release. (Closes: #602505)

 -- Werner Jaeger <werner_jaeger@web.de>  Wed, 3 Aug 2011 07:40:51 +0200

=== debian/control ===
Source: l2tp-ipsec-vpn-daemon
Section: net
Priority: optional
Maintainer: Werner Jaeger <werner_jaeger@web.de>
Build-Depends: debhelper (>= 8.0), libqt4-dev (>= 4.6.2), qt4-qmake (>= 4.6.2)
Standards-Version: 3.9.2
Homepage: https://launchpad.net/l2tp-ipsec-vpn

Package: l2tp-ipsec-vpn-daemon
Architecture: linux-any
Depends: openswan (>= 2.6.23),
         xl2tpd (>= 1.2.5),
         ${misc:Depends},
         ${shlibs:Depends}
Description: daemon for L2tpIPsecVpn GUI
 This daemon is exclusively used by the L2TP over IPsec Manager GUI
 application in order to execute openswan and xl2tp commands as root
 on behalf of the GUI client.
 .
 This daemon is only useful in combination with the GUI client
 installed with the l2tp-ipsec-vpn package.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export INSTALL_ROOT=$(CURDIR)/debian/l2tp-ipsec-vpn-daemon

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs changelog

=== debian/watch ===
# http://wiki.debian.org/debian/watch/
version=3
https://launchpad.net/l2tp-ipsec-vpn/+download http://launchpad.net/l2tp-ipsec-vpn/.*/l2tp-ipsec-vpn-daemon_(.+).tar.gz

## l2tp-ipsec-vpn-daemon 0.9.8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 27 2011-08-16 00:57:22Z werner $
+# $Id: Makefile 35 2012-03-13 01:23:03Z werner $
 #
 # File:   Makefile
 # Author: Werner Jaeger
@@ -43,9 +43,25 @@
 # install
 install: nbproject/qt-${CONF}.mk
 	make -f nbproject/qt-${CONF}.mk install
+	@if [  "$${INSTALL_ROOT}" = "" -a ! -x "/etc/init.d/l2tp-ipsec-vpn-daemon" ]; then \
+		cp debian/l2tp-ipsec-vpn-daemon.init /etc/init.d/l2tp-ipsec-vpn-daemon; \
+		cp debian/l2tp-ipsec-vpn-daemon.default /etc/default/l2tp-ipsec-vpn-daemon; \
+		chmod +x /etc/init.d/l2tp-ipsec-vpn-daemon; \
+   fi
+	@if [ "$${INSTALL_ROOT}" = "" ]; then \
+      update-rc.d l2tp-ipsec-vpn-daemon defaults >/dev/null; \
+	   invoke-rc.d l2tp-ipsec-vpn-daemon start; \
+ 	fi
 
 # uninstall
 uninstall: nbproject/qt-${CONF}.mk
+	@if [ -x "/etc/init.d/l2tp-ipsec-vpn-daemon" ]; then \
+		invoke-rc.d l2tp-ipsec-vpn-daemon stop; \
+		update-rc.d -f l2tp-ipsec-vpn-daemon remove >/dev/null; \
+		rm -f /etc/init.d/l2tp-ipsec-vpn-daemon; \
+		rm -f /etc/default/l2tp-ipsec-vpn-daemon; \
+	fi
+	rm -rf $(INSTALL_ROOT)/var/run/L2tpIPsecVpnControlDaemon
 	make -f nbproject/qt-${CONF}.mk uninstall
 
 # clean

=== debian/changelog ===
l2tp-ipsec-vpn-daemon (0.9.8-1) unstable; urgency=low

  * New upstream release
    - new commands CMD_WRITE_CONNECTIONNAME_INFO and 
      CMD_WRITE_DEFAULT_GATEWAY_INFO

 -- Werner Jaeger <werner_jaeger@web.de>  Mon, 12 Mar 2012 14:42:11 +0100

l2tp-ipsec-vpn-daemon (0.9.7-1) unstable; urgency=low

  * adapted to precise distribution

 -- Werner Jaeger <werner_jaeger@web.de>  Thu, 2 Mar 2012 08:50:19 +0200

l2tp-ipsec-vpn-daemon (0.9.6-2) unstable; urgency=low

  * debian/copyright:
    - empty lines must be escaped by representing them by a space followed by a 
      dot

 -- Werner Jaeger <werner_jaeger@web.de>  Fri, 23 Sep 2011 08:15:29 +0200

## l2tp-ipsec-vpn-daemon 0.9.9

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 35 2012-03-13 01:23:03Z werner $
+# $Id: Makefile 50 2012-05-21 07:32:02Z wejaeger $
 #
 # File:   Makefile
 # Author: Werner Jaeger
@@ -29,12 +29,33 @@
 CONF ?= ${DEFAULTCONF}
 
 # All Configurations
-ALLCONFS=Debug Release 
+ALLCONFS=Debug Release
 
 # various directories
 BUILDDIR = build/${CONF}
 GENDIR = src/generated
 DISTDIR = dist/${CONF}
+
+# Distribution specific configurations
+QMAKE      := $(firstword $(wildcard /usr/bin/qmake /usr/bin/qmake-qt4))
+CHKCONFIG  := $(wildcard /sbin/chkconfig)
+UPDATE_RCD := $(wildcard /usr/sbin/update-rc.d)
+
+ifneq (,$(CHKCONFIG))
+   ADD_INITD := $(CHKCONFIG) --add l2tp-ipsec-vpn-daemon
+   REMOVE_INITD := $(CHKCONFIG) --del l2tp-ipsec-vpn-daemon
+else
+	ifndef (,$(UPDATE_RCD))
+      ADD_INITD := $(UPDATE_RCD) l2tp-ipsec-vpn-daemon defaults
+      REMOVE_INITD := $(UPDATE_RCD) -f l2tp-ipsec-vpn-daemon remove
+   endif
+endif
+
+INITRD_DIR  := $(firstword $(wildcard /etc/rc.d/init.d /etc/init.d))
+ISDEBIAN    := $(wildcard /etc/debian_version)
+ifneq (,$(ISDEBIAN))
+   DEFAULT_DIR := $(wildcard /etc/default)
+endif
 
 # build
 build: nbproject/qt-${CONF}.mk
@@ -43,24 +64,31 @@
 # install
 install: nbproject/qt-${CONF}.mk
 	make -f nbproject/qt-${CONF}.mk install
-	@if [  "$${INSTALL_ROOT}" = "" -a ! -x "/etc/init.d/l2tp-ipsec-vpn-daemon" ]; then \
-		cp debian/l2tp-ipsec-vpn-daemon.init /etc/init.d/l2tp-ipsec-vpn-daemon; \
-		cp debian/l2tp-ipsec-vpn-daemon.default /etc/default/l2tp-ipsec-vpn-daemon; \
-		chmod +x /etc/init.d/l2tp-ipsec-vpn-daemon; \
-   fi
-	@if [ "$${INSTALL_ROOT}" = "" ]; then \
-      update-rc.d l2tp-ipsec-vpn-daemon defaults >/dev/null; \
-	   invoke-rc.d l2tp-ipsec-vpn-daemon start; \
- 	fi
+	mkdir -p $(INSTALL_ROOT)$(INITRD_DIR)
+	cp etc/l2tp-ipsec-vpn-daemon.init $(INSTALL_ROOT)$(INITRD_DIR)/l2tp-ipsec-vpn-daemon
+	chmod +x $(INSTALL_ROOT)$(INITRD_DIR)/l2tp-ipsec-vpn-daemon
+ifneq (,$(DEFAULT_DIR))
+	mkdir -p $(INSTALL_ROOT)$(DEFAULT_DIR)
+	cp etc/l2tp-ipsec-vpn-daemon.default $(INSTALL_ROOT)$(DEFAULT_DIR)/l2tp-ipsec-vpn-daemon
+endif
+
+ifneq (,$(ADD_INITD))
+ifeq ($(strip $(INSTALL_ROOT)),)
+		$(ADD_INITD) >/dev/null
+		service l2tp-ipsec-vpn-daemon start
+endif
+endif
 
 # uninstall
 uninstall: nbproject/qt-${CONF}.mk
-	@if [ -x "/etc/init.d/l2tp-ipsec-vpn-daemon" ]; then \
-		invoke-rc.d l2tp-ipsec-vpn-daemon stop; \
-		update-rc.d -f l2tp-ipsec-vpn-daemon remove >/dev/null; \
-		rm -f /etc/init.d/l2tp-ipsec-vpn-daemon; \
-		rm -f /etc/default/l2tp-ipsec-vpn-daemon; \
+	@if [ -x "$(INITRD_DIR)/l2tp-ipsec-vpn-daemon" ]; then \
+		service l2tp-ipsec-vpn-daemon stop; \
+		$(REMOVE_INITD) >/dev/null; \
+		rm -f $(INITRD_DIR)/l2tp-ipsec-vpn-daemon; \
 	fi
+ifneq (,$(DEFAULT_DIR))
+	rm -f $(DEFAULT_DIR)/l2tp-ipsec-vpn-daemon
+endif
 	rm -rf $(INSTALL_ROOT)/var/run/L2tpIPsecVpnControlDaemon
 	make -f nbproject/qt-${CONF}.mk uninstall
 
@@ -73,12 +101,15 @@
 	rm -f nbproject/*.bash
 	rm -f *.mk
 
-# clobber 
+# clobber
 clobber:
 	@for CONF in ${ALLCONFS}; \
 	do \
 	    make CONF=$${CONF} clean; \
 	done
+
+srccheck:
+	cppcheck -q -I src -I ${GENDIR} --enable=all src
 
 # help
 help:
@@ -89,6 +120,7 @@
 	@echo "    build  (default target)"
 	@echo "    clean"
 	@echo "    clobber"
+	@echo "    srccheck"
 	@echo "    install"
 	@echo "    uninstall"
 	@echo "    help"
@@ -104,6 +136,7 @@
 	@echo "Target 'build' will build a specific configuration."
 	@echo "Target 'clean' will remove all built files from a specific configuration."
 	@echo "Target 'clobber' will remove all built files from all configurations"
+	@echo "Target 'srccheck' performs a static source code check using cppcheck"
 	@echo "Target 'install' will install a specific configuration of the program"
 	@echo "       in [INSTALL_ROOT]/usr/lib/l2tp-ipsec-vpn-daemon/"
 	@echo "Target 'uninstall' will uninstall the program from [INSTALL_ROOT]/usr/lib/l2tp-ipsec-vpn-daemon/"
@@ -111,6 +144,6 @@
 	@echo ""
 
 nbproject/qt-${CONF}.mk: nbproject/qt-${CONF}.pro
-	qmake-qt4 -o qttmp-${CONF}.mk -after "OBJECTS_DIR=${BUILDDIR}" "DESTDIR=${DISTDIR}" nbproject/qt-${CONF}.pro
+	${QMAKE} -o qttmp-${CONF}.mk -after "OBJECTS_DIR=${BUILDDIR}" "DESTDIR=${DISTDIR}" nbproject/qt-${CONF}.pro
 	mv -f qttmp-${CONF}.mk nbproject/qt-${CONF}.mk

=== debian/changelog ===
l2tp-ipsec-vpn-daemon (0.9.9-1) unstable; urgency=low

  * New upstream release
    - init script is now usable for various linux distributions, not only for 
      debian/ubuntu
    - to be compatible with more linux distributions use service command 
      instead of invoke-rc.d command to start and stop runlevel services
    - fixed FTBFS because gcc-4.7 no longer includes unistd.h

 -- Werner Jaeger <werner_jaeger@web.de>  Mon, 21 May 2012 09:26:48 +0200

l2tp-ipsec-vpn-daemon (0.9.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: src/VpnClientConnection.cpp:167:60: error: '::chown' has
    not been declared": add patch from Paul Tagliamonte (missing includes).
    (Closes: #672042)

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 May 2012 21:08:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Werner Jaeger <werner_jaeger@web.de>
 Build-Depends: debhelper (>= 8.0), libqt4-dev (>= 4.6.2), qt4-qmake (>= 4.6.2)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://launchpad.net/l2tp-ipsec-vpn
 
 Package: l2tp-ipsec-vpn-daemon

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs changelog
 
+override_dh_installinit:
+	dh_installinit --onlyscripts
+

=== debian/watch ===
# http://wiki.debian.org/debian/watch/
version=3
http://launchpad.net/l2tp-ipsec-vpn/+download https://launchpad.net/l2tp-ipsec-vpn/.*/l2tp-ipsec-vpn-daemon_(.+).tar.gz
